org.apache.tomcat.jni

## Class Library

- java.lang.Object
- - org.apache.tomcat.jni.Library

    public final class Library
    extends Object

Library

Author:
  Mladen Turk

### Field Summary

Fields
`static boolean` `APR_CHARSET_EBCDIC`
`static boolean` `APR_FILES_AS_SOCKETS`
`static boolean` `APR_HAS_DSO`
`static boolean` `APR_HAS_FORK`
`static boolean` `APR_HAS_LARGE_FILES`
`static boolean` `APR_HAS_MMAP`
`static boolean` `APR_HAS_OS_UUID`
`static boolean` `APR_HAS_OTHER_CHILD`
`static boolean` `APR_HAS_PROC_INVOKED`
`static boolean` `APR_HAS_RANDOM`
`static boolean` `APR_HAS_SENDFILE`
`static boolean` `APR_HAS_SHARED_MEMORY`
`static boolean` `APR_HAS_SO_ACCEPTFILTER`
`static boolean` `APR_HAS_THREADS`
`static boolean` `APR_HAS_UNICODE_FS`
`static boolean` `APR_HAS_USER`
`static boolean` `APR_HAS_XTHREAD_FILES`
`static boolean` `APR_HAVE_IPV6`
`static boolean` `APR_IS_BIGENDIAN`
`static int` `APR_IS_DEV_VERSION`
`static int` `APR_MAJOR_VERSION`
`static int` `APR_MAX_IOVEC_SIZE`
`static int` `APR_MAX_SECS_TO_LINGER`
`static int` `APR_MINOR_VERSION`
`static int` `APR_MMAP_LIMIT`
`static int` `APR_MMAP_THRESHOLD`
`static boolean` `APR_O_NONBLOCK_INHERITED`
`static int` `APR_PATCH_VERSION`
`static int` `APR_PATH_MAX`
`static int` `APR_SIZEOF_VOIDP`
`static boolean` `APR_TCP_NODELAY_INHERITED`
`static int` `APRMAXHOSTLEN`
`static int` `TCN_IS_DEV_VERSION`
`static int` `TCN_MAJOR_VERSION`
`static int` `TCN_MINOR_VERSION`
`static int` `TCN_PATCH_VERSION`

### Method Summary

Methods
`static String` `aprVersionString()`
`static long` `globalPool()`
`static boolean` `initialize(String libraryName)` Setup any APR internal data structures.
`static void` `terminate()`
`static String` `versionString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### TCN_MAJOR_VERSION

    public static int TCN_MAJOR_VERSION

#### TCN_MINOR_VERSION

    public static int TCN_MINOR_VERSION

#### TCN_PATCH_VERSION

    public static int TCN_PATCH_VERSION

#### TCN_IS_DEV_VERSION

    public static int TCN_IS_DEV_VERSION

#### APR_MAJOR_VERSION

    public static int APR_MAJOR_VERSION

#### APR_MINOR_VERSION

    public static int APR_MINOR_VERSION

#### APR_PATCH_VERSION

    public static int APR_PATCH_VERSION

#### APR_IS_DEV_VERSION

    public static int APR_IS_DEV_VERSION

#### APR_HAVE_IPV6

    public static boolean APR_HAVE_IPV6

#### APR_HAS_SHARED_MEMORY

    public static boolean APR_HAS_SHARED_MEMORY

#### APR_HAS_THREADS

    public static boolean APR_HAS_THREADS

#### APR_HAS_SENDFILE

    public static boolean APR_HAS_SENDFILE

#### APR_HAS_MMAP

    public static boolean APR_HAS_MMAP

#### APR_HAS_FORK

    public static boolean APR_HAS_FORK

#### APR_HAS_RANDOM

    public static boolean APR_HAS_RANDOM

#### APR_HAS_OTHER_CHILD

    public static boolean APR_HAS_OTHER_CHILD

#### APR_HAS_DSO

    public static boolean APR_HAS_DSO

#### APR_HAS_SO_ACCEPTFILTER

    public static boolean APR_HAS_SO_ACCEPTFILTER

#### APR_HAS_UNICODE_FS

    public static boolean APR_HAS_UNICODE_FS

#### APR_HAS_PROC_INVOKED

    public static boolean APR_HAS_PROC_INVOKED

#### APR_HAS_USER

    public static boolean APR_HAS_USER

#### APR_HAS_LARGE_FILES

    public static boolean APR_HAS_LARGE_FILES

#### APR_HAS_XTHREAD_FILES

    public static boolean APR_HAS_XTHREAD_FILES

#### APR_HAS_OS_UUID

    public static boolean APR_HAS_OS_UUID

#### APR_IS_BIGENDIAN

    public static boolean APR_IS_BIGENDIAN

#### APR_FILES_AS_SOCKETS

    public static boolean APR_FILES_AS_SOCKETS

#### APR_CHARSET_EBCDIC

    public static boolean APR_CHARSET_EBCDIC

#### APR_TCP_NODELAY_INHERITED

    public static boolean APR_TCP_NODELAY_INHERITED

#### APR_O_NONBLOCK_INHERITED

    public static boolean APR_O_NONBLOCK_INHERITED

#### APR_SIZEOF_VOIDP

    public static int APR_SIZEOF_VOIDP

#### APR_PATH_MAX

    public static int APR_PATH_MAX

#### APRMAXHOSTLEN

    public static int APRMAXHOSTLEN

#### APR_MAX_IOVEC_SIZE

    public static int APR_MAX_IOVEC_SIZE

#### APR_MAX_SECS_TO_LINGER

    public static int APR_MAX_SECS_TO_LINGER

#### APR_MMAP_THRESHOLD

    public static int APR_MMAP_THRESHOLD

#### APR_MMAP_LIMIT

    public static int APR_MMAP_LIMIT

### Method Detail

#### terminate

    public static void terminate()

#### versionString

    public static String versionString()

#### aprVersionString

    public static String aprVersionString()

#### globalPool

    public static long globalPool()

#### initialize

    public static boolean initialize(String libraryName)
                              throws Exception

Setup any APR internal data structures. This MUST be the first function called for any APR library.

Parameters:
  `libraryName` - the name of the library to load
Throws:
  `Exception`